---
id: 699f1d72e906e4616155290d
title: Step 1
challengeType: 1
dashedName: step-1
---

# --description--

In this workshop, you will continue to learn about type annotations and how they work with functions by building out a type safe math toolkit.

Start by creating a function called `square` that accepts a parameter and returns the square of a number.

# --hints--

You should have a function called `square`.

```js
const explorer = await __helpers.Explorer(code);
assert.exists(explorer.allFunctions.square);
```

Your `square` function should have one parameter.

```js
const explorer = await __helpers.Explorer(code);
assert.lengthOf(explorer.allFunctions.square.parameters, 1);
```

Your `square` function should return the square of a number.

```js
assert.strictEqual(square(2), 4);
assert.strictEqual(square(3), 9);
```

# --seed--

## --seed-contents--

```ts
--fcc-editable-region--

--fcc-editable-region--
```

```json
{
  "compilerOptions": {
    "noCheck": true
  }
}
```
